#ifndef CONNECT4_STRETCHES
#define CONNECT4_STRETCHES

static const struct stretch {
   unsigned char i, j;
   signed char di, dj;
   unsigned char len;
} stretch[] = {
   /* rows */
   {0, 0, 0, 1, 7},
   {1, 0, 0, 1, 7},
   {2, 0, 0, 1, 7},
   {3, 0, 0, 1, 7},
   {4, 0, 0, 1, 7},
   {5, 0, 0, 1, 7},
   /* columns */
   {0, 0, 1, 0, 6},
   {0, 1, 1, 0, 6},
   {0, 2, 1, 0, 6},
   {0, 3, 1, 0, 6},
   {0, 4, 1, 0, 6},
   {0, 5, 1, 0, 6},
   {0, 6, 1, 0, 6},
   /* upward directed diagonals, just including those with a minimal length of 4 */
   {2, 0, 1, 1, 4},
   {1, 0, 1, 1, 5},
   {0, 0, 1, 1, 6},
   {0, 1, 1, 1, 6},
   {0, 2, 1, 1, 5},
   {0, 3, 1, 1, 4},
   /* downward directed diagonals, just including those with a minimal length of 4 */
   {3, 0, -1, 1, 4},
   {4, 0, -1, 1, 5},
   {5, 0, -1, 1, 6},
   {5, 1, -1, 1, 6},
   {5, 2, -1, 1, 5},
   {5, 3, -1, 1, 4},
};

#endif
